## com.google.gwt.dom.client
Class StyleElement

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.dom.client.Node
              com.google.gwt.dom.client.Element
                  com.google.gwt.dom.client.StyleElement

    public class StyleElement

extends Element

Style information.

See Also:
  W3C HTML Specification, W3C HTML Specification, W3C HTML Specification

Field Summary

Fields inherited from class com.google.gwt.dom.client.Node
`DOCUMENT_NODE, ELEMENT_NODE, TEXT_NODE`

Constructor Summary
`protected` `StyleElement()`

Method Summary
`static StyleElement` `as(Element elem)` Assert that the given `Element` is compatible with this class and automatically typecast it.
`boolean` `getDisabled()` Enables/disables the style sheet.
`java.lang.String` `getMedia()` Designed for use with one or more target media.
`java.lang.String` `getType()` The content type of the style sheet language.
`void` `setDisabled(boolean disabled)` Enables/disables the style sheet.
`void` `setMedia(java.lang.String media)` Designed for use with one or more target media.
`void` `setType(java.lang.String type)` The content type of the style sheet language.

Methods inherited from class com.google.gwt.dom.client.Element

`as, getAbsoluteLeft, getAbsoluteTop, getAttribute, getClassName, getDir, getElementsByTagName, getFirstChildElement, getId, getInnerHTML, getInnerText, getLang, getNextSiblingElement, getOffsetHeight, getOffsetLeft, getOffsetParent, getOffsetTop, getOffsetWidth, getParentElement, getPropertyBoolean, getPropertyDouble, getPropertyInt, getPropertyString, getScrollHeight, getScrollLeft, getScrollTop, getScrollWidth, getString, getStyle, getTagName, getTitle, isOrHasChild, removeAttribute, scrollIntoView, setAttribute, setClassName, setDir, setId, setInnerHTML, setInnerText, setLang, setPropertyBoolean, setPropertyDouble, setPropertyInt, setPropertyString, setScrollLeft, setScrollTop, setTitle`

Methods inherited from class com.google.gwt.dom.client.Node
`appendChild, cloneNode, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, hasChildNodes, insertBefore, removeChild, replaceChild, setNodeValue`

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createFunction, createObject, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StyleElement

    protected StyleElement()

Method Detail

### as

    public static StyleElement as(Element elem)

  Assert that the given `Element` is compatible with this class and automatically typecast it.

### getDisabled

    public final boolean getDisabled()

  Enables/disables the style sheet.

### getMedia

    public final java.lang.String getMedia()

  Designed for use with one or more target media.

  See Also:
    W3C HTML Specification

### getType

    public final java.lang.String getType()

  The content type of the style sheet language.

  See Also:
    W3C HTML Specification

### setDisabled

    public final void setDisabled(boolean disabled)

  Enables/disables the style sheet.

### setMedia

    public final void setMedia(java.lang.String media)

  Designed for use with one or more target media.

  See Also:
    W3C HTML Specification

### setType

    public final void setType(java.lang.String type)

  The content type of the style sheet language.

  See Also:
    W3C HTML Specification